Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.mail.smime
Class SMIMEGenerator

    java.lang.Object
      |
      +--org.bouncycastle.mail.smime.SMIMEGenerator

Direct Known Subclasses:
  SMIMECompressedGenerator, SMIMEEnvelopedGenerator, SMIMESignedGenerator

public class SMIMEGenerator
extends java.lang.Object

super class of the various generators.

Field Summary
`protected java.lang.String` | `encoding`
`protected boolean` | `useBase64`

Constructor Summary
`protected` | `SMIMEGenerator()` base constructor

Method Summary
`protected javax.mail.internet.MimeBodyPart` | `makeContentBodyPart(javax.mail.internet.MimeBodyPart content)` Make sure we have a valid content body part - setting the headers with defaults if neccessary.
`protected javax.mail.internet.MimeBodyPart` | `makeContentBodyPart(javax.mail.internet.MimeMessage message)` extract an appropriate body part from the passed in MimeMessage
`void` | `setContentTransferEncoding(java.lang.String encoding)` set the content-transfer-encoding for the signature.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### useBase64

    protected boolean useBase64

### encoding

    protected java.lang.String encoding

Constructor Detail

### SMIMEGenerator

    protected SMIMEGenerator()

  base constructor

Method Detail

### setContentTransferEncoding

    public void setContentTransferEncoding(java.lang.String encoding)

  set the content-transfer-encoding for the signature.

### makeContentBodyPart

    protected javax.mail.internet.MimeBodyPart makeContentBodyPart(javax.mail.internet.MimeBodyPart content)
                                                            throws SMIMEException

  Make sure we have a valid content body part - setting the headers with defaults if neccessary.

    `SMIMEException`

### makeContentBodyPart

    protected javax.mail.internet.MimeBodyPart makeContentBodyPart(javax.mail.internet.MimeMessage message)
                                                            throws SMIMEException

  extract an appropriate body part from the passed in MimeMessage

    `SMIMEException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD